summaryrefslogtreecommitdiffstats
path: root/bin/schroot-create.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-18 13:10:10 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-18 13:10:10 +0200
commit0ebae8e2cf909d4a3242b2aee932a8b476137f6a (patch)
treebfe4fbad98f706a4924efd4e428e808b2eb6e671 /bin/schroot-create.sh
parent588ef34bec7e62e6a599c8c19e6d8532fe4b1bb4 (diff)
downloadjenkins.debian.net-0ebae8e2cf909d4a3242b2aee932a8b476137f6a.tar.xz
fixup a8882f2d: reproducible: be more verbose when trying to replace schroots
Diffstat (limited to 'bin/schroot-create.sh')
-rwxr-xr-xbin/schroot-create.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 03dd2d77..0f666ab8 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -218,8 +218,8 @@ then
echo "$(date -u ) - $SCHROOT_BASE/$TARGET exists, moving it away to $SCHROOT_BASE/$TARGET-$rand"
set +e
sudo mv $SCHROOT_BASE/"$TARGET" $SCHROOT_BASE/"$TARGET"-"$rand"
- set -e
RESULT=$?
+ set -e
if [ $RESULT -ne 0 ] ; then
echo
ls -R $SCHROOT_BASE/"$TARGET"
@@ -232,8 +232,8 @@ cleanup_schroot_sessions
echo "$(date -u ) - renaming $CHROOT_TARGET to $SCHROOT_BASE/$TARGET"
set +e
sudo mv $CHROOT_TARGET $SCHROOT_BASE/"$TARGET"
-set -e
RESULT=$?
+set -e
if [ $RESULT -ne 0 ] ; then
echo
ls -R $SCHROOT_TARGET